package tools.descartes.prisma.agent.wildfly.callstack;

public interface TraceVisitor {
	
	public void visitComponent(ComponentRecord component);
	
	public void visitInterface(InterfaceRecord interf);
	
	public void visitOperation(OperationRecord record);
	
	public void visitInvocationGroup(InvocationGroupRecord group);
	
	public void visitRequiredComponent(InvocationGroupRecord source, ComponentRecord component);
	
	public void visitRequiredInterface(InvocationGroupRecord source, InterfaceRecord interf);
	
	public void visitRequiredOperation(InvocationGroupRecord source, OperationRecord record);
	
	public void visitRequiredInvocationGroup(InvocationGroupRecord source, InvocationGroupRecord group);

}
