package tools.descartes.prisma.agent.wildfly.callstack.impl;

import tools.descartes.prisma.agent.wildfly.callstack.ComponentRecord;
import tools.descartes.prisma.agent.wildfly.callstack.InvocationGroupRecord;
import tools.descartes.prisma.agent.wildfly.callstack.OperationRecord;
import tools.descartes.prisma.agent.wildfly.callstack.TraceVisitor;

public class FilteredInvocationGroupRecord extends InvocationGroupRecord {

	public FilteredInvocationGroupRecord(OperationRecord operation, String name) {
		super(operation, name);
	}

	@Override
	public ComponentRecord requireComponent(String component) {
		return new FilteredComponentRecord(getTraceFactory(), component);
	}

	@Override
	public boolean isFiltered() {
		return true;
	}

	@Override
	public void accept(TraceVisitor visitor, InvocationGroupRecord source) {
//		System.out.println("Filtered invocation group " + getName());
		// Filtered		
	}

}
